<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           elementFormDefault="qualified">
    <xs:include schemaLocation="common-types.xsd"/>
    <xs:element name="SearchResponseWrapper">
        <xs:complexType>
            <xs:sequence>
                <xs:choice maxOccurs="unbounded">
                    <xs:element minOccurs="0" maxOccurs="unbounded" name="searchError" type="SearchError"/>
                    <xs:element minOccurs="0" maxOccurs="unbounded" name="patient" type="MatchingPatient"/>
                </xs:choice>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    <xs:simpleType name="SearchResponseCodeEnum">
        <xs:restriction base="xs:string">
            <xs:enumeration value="APPLICATION_ERROR"/>
            <xs:enumeration value="OK"/>
            <xs:enumeration value="NO_MATCH"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:complexType name="SearchError">
        <xs:sequence>
            <xs:element minOccurs="0" name="cause" type="xs:string"/>
            <xs:element name="errorMessage" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>
    <xs:complexType name="MatchingPatient">
        <xs:sequence>
            <xs:element name="active" type="xs:boolean" minOccurs="0"/>
            <xs:element name="uuid" type="xs:string" minOccurs="0"/>
            <xs:element minOccurs="0" name="name" maxOccurs="unbounded" type="PersonName"/>
            <xs:element minOccurs="0" name="gender" type="GenderCodeEnum"/>
            <xs:element minOccurs="0" name="dateOfBirth" type="xs:dateTime"/>
            <xs:element minOccurs="0" name="dateOfDeath" type="xs:dateTime"/>
            <xs:element minOccurs="0" maxOccurs="unbounded" name="identifiers" type="EntityIdentifier"/>
            <xs:element minOccurs="0" maxOccurs="unbounded" name="address" type="Address"/>
            <xs:element minOccurs="0" maxOccurs="unbounded" name="contactPoint" type="ContactPoint"/>
            <xs:element minOccurs="0" name="multipleBirthOrder" type="xs:positiveInteger"/>
            <xs:element minOccurs="0" maxOccurs="unbounded" name="observation" type="Observation"/>
        </xs:sequence>
    </xs:complexType>
    <xs:complexType name="Observation">
        <xs:sequence>
            <xs:element name="observationType" type="ObservationTypeEnum"/>
            <xs:element name="value" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>
    <xs:simpleType name="ObservationTypeEnum">
        <xs:restriction base="xs:string">
            <xs:enumeration value="WEIGHT"/>
            <xs:enumeration value="HEIGHT"/>
            <xs:enumeration value="RELIGION"/>
            <xs:enumeration value="RACE"/>
            <xs:enumeration value="MOTHERS_MAINDEN_NAME"/>
            <xs:enumeration value="ACCOUNT_NUMBER"/>
            <xs:enumeration value="BLOOD_GROUP"/>
            <xs:enumeration value="BIRTHPLACE_NAME"/>
            <xs:enumeration value="SOCIO_PROFESSIONAL_CATEGORY"/>
            <xs:enumeration value="WEEKS_OF_GESTATION"/>
            <xs:enumeration value="IS_PREGNANT"/>
            <xs:enumeration value="LUNAR_DATE_YEAR"/>
            <xs:enumeration value="LUNAR_DATE_MONTH"/>
            <xs:enumeration value="SMS_CONSENT"/>
            <xs:enumeration value="SOCIO_PROFESSIONAL_OCCUPATION"/>
            <xs:enumeration value="LUNAR_DATE_WEEK"/>
        </xs:restriction>
    </xs:simpleType>
</xs:schema>
